from attrs import field, define
from attrs.validators import instance_of

from src.data_classes.parameters_general import GeneralParameters


@define
class GetFunctionInverseBayesTransformedRegressionParameters(GeneralParameters):
    model_name: str = field(validator=instance_of(str))
